summaryrefslogtreecommitdiff
path: root/linux/deb/fs-hello-kamal/build.sh
diff options
context:
space:
mode:
authorKamal Wickramanayake <kamal@inbox.lk>2026-05-23 14:45:05 +0530
committerKamal Wickramanayake <kamal@inbox.lk>2026-05-23 14:45:05 +0530
commitfe8b0606b434bb17f870cf9e6ba473c2ef39ca1f (patch)
treeda76e9376de7f0e1b74d47e0f439345be1025503 /linux/deb/fs-hello-kamal/build.sh
parentbef7e64a134b0c3bd7bf9c3175b8a3817c3b9eb7 (diff)
Added a simple deb file creation sample project to linux/deb directory
Diffstat (limited to 'linux/deb/fs-hello-kamal/build.sh')
-rwxr-xr-xlinux/deb/fs-hello-kamal/build.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/linux/deb/fs-hello-kamal/build.sh b/linux/deb/fs-hello-kamal/build.sh
new file mode 100755
index 0000000..bc77f92
--- /dev/null
+++ b/linux/deb/fs-hello-kamal/build.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+# Define a function that sends messages to stderr.
+errcho() {
+ echo "$@" 1>&2;
+}
+
+# Check if fakeroot command is available
+if ! command -v fakeroot > /dev/null 2>&1; then
+ errcho "[ERROR] fakeroot command not found. Install the fakeroot package.";
+ exit 1
+fi
+
+# Check if dpkg-deb command is available
+if ! command -v dpkg-deb > /dev/null 2>&1; then
+ errcho "[ERROR] dpkg-deb command not found. dpkg package contains it. Are you not running this script on a Debian based system?";
+ exit 1
+fi
+
+# Get the directory of this script
+DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+
+# Remove the deb files found inside DIR. Prompt the user before deleting.
+if ls $DIR/*.deb 1> /dev/null 2>&1; then
+ rm -i $DIR/*.deb
+fi
+
+# Build the deb package
+fakeroot dpkg-deb --build $DIR/package $DIR